X
Tik hier voor de mobiele versie van de website.
Uw Firefox is verouderd en kan een beveiligingsrisico bevatten! Firefox upgraden

Ondersteuningsforum

Deze conversatie is gearchiveerd. Stel een nieuwe vraag als u hulp nodig hebt.

Java Not Working, And Still No Answers. What Gives?

Geplaatst

Okay, decided to start this topic anew, since the only response I got to the other one was a post calling me "rude and impatient" (I guess that's what they're calling "persistence" nowadays..) , instead of...well...ignoring my admittedly pushy and harsh tone and actually being helpful. However, for the sake of it, I do apologize for my attitude in my last topic.

But I digress, let's start off on a new foot, eh? On to the problem that is STILL at hand(in other words, "patience" hasn't gotten me jack, not even a "we don't know yet"):

So last night (10 PM January 20th), the Firefox Plugin Checker said that my Java version was outdated. I also got a pop-up saying that my current version of Java at the time (Java 7 update 10) had vulnerabilities. So to try and fix this, I went to the Java page and downloaded the update (Java 7 update 11).

To check and see if my update was working, I went to Java's check page, as well as another page I use. And here I discovered a problem. I got a notification that an old version of Java had been detected, and another prompt to download the current version (which I had already done). So I erased all versions of Java from my control panel, and tried to check it again. And when I did, I got this: http://oi50.tinypic.com/35b6xx2.jpg and http://oi47.tinypic.com/15fg37p.jpg.

As you can see, both pages tell me that I need to install a missing plugin of some sort. So, thinking this would resolve the issue, I clicked the Install Missing Plugin button. This is what it told me was missing: http://oi45.tinypic.com/302uwbl.jpg. So I clicked next to install it.... and got this: http://oi45.tinypic.com/2cici0x.jpg, which I assume means that the plugin did not install. So I pressed Manual Install... and was lead/linked right back to the Java download page (where it all began, and what doesn't seem to be working in the first place)

I go to check my plugins again (Just to make sure and also for extra information), and it appears to say that my Java version is current (is that what "Java Deployment Toolkit 7.0.110.21" is? I don't know, I am not good at technology at all. Either way, here is what it looks like: http://oi48.tinypic.com/4kxzz4.jpg). So...if it is current, why is it not working (i.e. I am unable to play games, DO MY COLLEGE CLASSWORK, or play Java-based games)?

If it helps anything, here is what my control panel looks like in regards to Java right now: http://oi45.tinypic.com/2qlxu9t.jpg Am I missing anything that would make Java work?

And before anyone says that Java is not essential: It may be that way to you, but I need Java to do classwork for college. Veterinary college.

So, in short, what is going on with Java, and how can I fix it?

EDITEDITEDIT: I Have found that I can do my classwork without Java. HOWEVER, this DOES NOT mean that the problem is solved or over with. I STILL WANT TO KNOW HOW TO FIX THIS PROBLEM AND GET JAVA TO WORK. Even if I never actually need it, I would still like to have a (working!!!) Java version because of two reasons: 1) I would rather have such a program and not need it, than need such a program and not have it, and 2) aesthetics. Sorry to say, but I am very particular about how things look when it comes to my belongings, and the fact that Java is messing up is making me actually stressed. In short, I still want the above issue solved, even if it's just purely for the sake of Peace Of Mind.

Another note: I would (please!) appreciate a timely response on this matter. Even if the response is a "We don't know what the issue is and/or we are working to solve this issue.", that would satisfy me for the time being. I would just like a semi-timely response that would let me know that FF/contributors here have read the above and actually give a semblance of a care about their userbase.

Thank You.

Aanvullende systeemdetails

Geïnstalleerde plug-ins

  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Shockwave Flash 11.5 r502
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.5
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • iTunes Detector Plug-in
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.8.638
  • Google Update
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.7.637
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.6.636
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.5.635
  • 5.1.10411.0
  • DivX Plus Web Player version 2.2.0.52
  • DivX VOD Helper Plug-in
  • Unity Player 3.3.0f4
  • The plug-in allows you to open and edit files using Microsoft Office applications
  • Office Authorization plug-in for NPAPI browsers
  • NPWLPG
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers

Toepassing

  • Useragent: Mozilla/5.0 (Windows NT 6.0; WOW64; rv:18.0) Gecko/20100101 Firefox/18.0

Meer informatie

AliceWyman
  • Top 25 Contributor
  • Moderator
191 oplossingen 1967 antwoorden

You have a Java detection problem, which can happen after updating to Java 7 Update 10 or 11 if an outdated standalone JavaFX is still installed. If that applies to you, the solution is to uninstall JavaFX, as explained here:

For more information, see:

Vraageigenaar

Alice, thanks, there is a bit of an improvement, but no actual solution yet. (And yes, I did follow the instructions in the links you gave). Here's what I get now:
1) http://oi47.tinypic.com/11slfdu.jpg the initial page
2) http://oi48.tinypic.com/de8f8y.jpg After clicking to "activate the unknown plugin)
3) http://oi50.tinypic.com/kd4vg2.jpg After clicking "Run".

Not quite what I was looking for, and not even close to what you posted in a similar thread...but I do thank you for trying to be actually helpful and admittedly giving some progress on the issue, or at least something that is do-able for me right now.

I would, however, like to see a permanent solution if one is found.

Bewerkt door cor-el op

cor-el
  • Top 10 Contributor
  • Moderator
10762 oplossingen 96861 antwoorden

That is a consequence of current Java versions still having security vulnerabilities.

Oracle also has tightened the security setting in Java.

The default security level for Java applets and web start applications has been increased from "Medium" to "High".
This affects the conditions under which unsigned (sandboxed) Java web applications can run.
Previously, as long as you had the latest secure Java release installed applets and web start applications would continue to run as always.
With the "High" setting the user is always warned before any unsigned application is run to prevent silent exploitation.

AliceWyman
  • Top 25 Contributor
  • Moderator
191 oplossingen 1967 antwoorden

ponyparty,

The first prompt you see in Firefox to activate Java is because Java is currently on the Mozilla blocklist ( the "Hot Topic" article How to allow Java on trusted sites explains the reason for block and how to activate Java, including how to bypass the plugin activation prompt for trusted sites).

cor-el is right about why you are seeing a second Java "Security Warning" when trying to view Java applets, that you have to click to run. This is a Java security feature and not anything Firefox does.

Try the same Java sites in Internet Explorer .... don't you also see the Java "Security Warning?" If you want to lower your Java security back to "Medium" in the Java Control Panel, see http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/jcp.html#security for details. That's up to you but I would leave it on "High " since Java 7 is still basically insecure, according to the reports I've seen and this "Protecting Users Against Java Vulnerability" Mozilla blog post.

If the second Java prompt is your only remaining issue then your problem is really solved, since it is a new Java security feature and not anything in Firefox.

Some background:
At the time I was helping you in the older thread you started (now locked because you started this one) the solution to uninstall JavaFX wasn't known. On Dec 13th I wrote, There may be problems with Java 7 Update 10 since a number of Windows users have reported that Firefox is not detecting the plugin and I linked to a couple of related threads, including this MozillaZine thread, in which uninstalling JavaFX as a solution was posted 22 Dec 2012. On 25 Dec 2012 in the same MozillaZine thread, I posted a link to this Dec 24th bugzilla comment by an Oracle employee, who posted that uninstalling JavaFX was a solution for Oracle's Java 7 detection bug. Oracle has been working on the bug (to be fixed in an upcoming Java 7 release) and they created this java.com help page, which is now included in the related MozillaZine and Mozilla Support articles on Java that I posted above.

Bewerkt door AliceWyman op

Lou1973 0 oplossingen 2 antwoorden

You need to click on the plugin icon that looks like a little square Lego block, see here:

http://support.mozilla.org/en-US/kb/how-to-use-java-if-its-been-blocked